/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.camel.kafkaconnector.slacksink;

import java.util.Map;
import javax.annotation.Generated;
import org.apache.camel.kafkaconnector.CamelSinkConnectorConfig;
import org.apache.kafka.common.config.ConfigDef;

@Generated("This class has been generated by camel-kafka-connector-generator-maven-plugin, remove this annotation to prevent it from being generated.")
public class CamelSlacksinkSinkConnectorConfig
        extends
            CamelSinkConnectorConfig {

    public static final String CAMEL_SINK_SLACKSINK_KAMELET_CHANNEL_CONF = "camel.kamelet.slack-sink.channel";
    public static final String CAMEL_SINK_SLACKSINK_KAMELET_CHANNEL_DOC = "The Slack channel to send messages to. Example: #myroom";
    public static final String CAMEL_SINK_SLACKSINK_KAMELET_CHANNEL_DEFAULT = null;
    public static final String CAMEL_SINK_SLACKSINK_KAMELET_WEBHOOK_URL_CONF = "camel.kamelet.slack-sink.webhookUrl";
    public static final String CAMEL_SINK_SLACKSINK_KAMELET_WEBHOOK_URL_DOC = "The webhook URL used by the Slack channel to handle incoming messages.";
    public static final String CAMEL_SINK_SLACKSINK_KAMELET_WEBHOOK_URL_DEFAULT = null;
    public static final String CAMEL_SINK_SLACKSINK_KAMELET_ICON_EMOJI_CONF = "camel.kamelet.slack-sink.iconEmoji";
    public static final String CAMEL_SINK_SLACKSINK_KAMELET_ICON_EMOJI_DOC = "Use a Slack emoji as an avatar.";
    public static final String CAMEL_SINK_SLACKSINK_KAMELET_ICON_EMOJI_DEFAULT = null;
    public static final String CAMEL_SINK_SLACKSINK_KAMELET_ICON_URL_CONF = "camel.kamelet.slack-sink.iconUrl";
    public static final String CAMEL_SINK_SLACKSINK_KAMELET_ICON_URL_DOC = "The avatar that the component will use when sending message to a channel or user.";
    public static final String CAMEL_SINK_SLACKSINK_KAMELET_ICON_URL_DEFAULT = null;
    public static final String CAMEL_SINK_SLACKSINK_KAMELET_USERNAME_CONF = "camel.kamelet.slack-sink.username";
    public static final String CAMEL_SINK_SLACKSINK_KAMELET_USERNAME_DOC = "This is the username that the bot will have when sending messages to a channel or user.";
    public static final String CAMEL_SINK_SLACKSINK_KAMELET_USERNAME_DEFAULT = null;

    public CamelSlacksinkSinkConnectorConfig(
            ConfigDef config,
            Map<String, String> parsedConfig) {
        super(config, parsedConfig);
    }

    public CamelSlacksinkSinkConnectorConfig(Map<String, String> parsedConfig) {
        this(conf(), parsedConfig);
    }

    public static ConfigDef conf() {
        ConfigDef conf = new ConfigDef(CamelSinkConnectorConfig.conf());
        conf.define(CAMEL_SINK_SLACKSINK_KAMELET_CHANNEL_CONF, ConfigDef.Type.STRING, CAMEL_SINK_SLACKSINK_KAMELET_CHANNEL_DEFAULT, ConfigDef.Importance.HIGH, CAMEL_SINK_SLACKSINK_KAMELET_CHANNEL_DOC);
        conf.define(CAMEL_SINK_SLACKSINK_KAMELET_WEBHOOK_URL_CONF, ConfigDef.Type.PASSWORD, CAMEL_SINK_SLACKSINK_KAMELET_WEBHOOK_URL_DEFAULT, ConfigDef.Importance.HIGH, CAMEL_SINK_SLACKSINK_KAMELET_WEBHOOK_URL_DOC);
        conf.define(CAMEL_SINK_SLACKSINK_KAMELET_ICON_EMOJI_CONF, ConfigDef.Type.STRING, CAMEL_SINK_SLACKSINK_KAMELET_ICON_EMOJI_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_SLACKSINK_KAMELET_ICON_EMOJI_DOC);
        conf.define(CAMEL_SINK_SLACKSINK_KAMELET_ICON_URL_CONF, ConfigDef.Type.STRING, CAMEL_SINK_SLACKSINK_KAMELET_ICON_URL_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_SLACKSINK_KAMELET_ICON_URL_DOC);
        conf.define(CAMEL_SINK_SLACKSINK_KAMELET_USERNAME_CONF, ConfigDef.Type.STRING, CAMEL_SINK_SLACKSINK_KAMELET_USERNAME_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_SLACKSINK_KAMELET_USERNAME_DOC);
        return conf;
    }
}